{ config, lib, ... }:
with lib;
{
  config = mkIf config.modules.desktop.sway.enable {
    services.kanshi = {
      enable = config.modules.desktop.sway.kanshi ;
      settings = [
        {

          profile.name = "standalone";
          profile.outputs = [
          {
            criteria = "eDP-1"; 
            scale = 1.33;
            status = "enable";
          }
          ];
        }
        {
          profile.name = "home";
          profile.outputs = [
          {
            criteria = "Iiyama North America PL2792UH 1166310803122"; 
            mode = "3840x2160";
            position = "1235,0";
            scale = 1.75;
          }
          { 
            criteria =  "Iiyama North America PL2792UH 1176923201598"; 
            mode = "3840x2160";
            position = "0,0";
            transform = "90";
            scale = 1.75;
          }
          {
            criteria = "eDP-1";
            status = "disable";
          }
          ];
        }
        {
          profile.name = "work";
          profile.outputs = [
          {
            criteria = "Iiyama North America PL2480H 11183M2807013"; 
            mode = "1920x1080";
            position = "0,0";
          }
          { 
            criteria =  "Iiyama North America PL2480H 11183M2807016"; 
            mode = "1920x1080";
            position = "1920,0";
          }
          {
            criteria = "eDP-1";
            status = "disable";
          }
          ];
        }
      ];
    };
  };
}
